<div *ngIf="book">
  <mat-form-field>
    <mat-label>
      Title
    </mat-label>
    <input matInput [(ngModel)]="book.title" type="text">
  </mat-form-field>
  <mat-form-field>
    <mat-label>
      Description
    </mat-label>
    <input matInput [(ngModel)]="book.description" type="text">
  </mat-form-field>
  <mat-form-field>
    <mat-label>
      Price
    </mat-label>
    <input matInput [(ngModel)]="book.price" type="number">
  </mat-form-field>
  <button mat-raised-button color="primary" (click)="saveBook(book)">Update</button>
</div>
